window.webapp.script(`
window.addEventListener('load', function() {
    window.webapp.lasting("bzyimg");
    window.webapp.hidden(false); // 关闭下载确认弹窗
    window.bzyimg = function(imga, imgb) {
        if (imga == 1 || imga == 2) {
            const result = confirm('保存图片?');
            if (result) {
                if (imgb.startsWith("http://") || imgb.startsWith("https://")) {
                    var link = document.createElement('a');
                    link.href = imgb;
                    link.download = 'file';
                    document.body.appendChild(link);
                    link.click();
                    document.body.removeChild(link);
                } else {
                    if (isBase64(imgb.split(",")[1])) {
                        window.webapp.storage('image.png', imgb);
                    } else {
                        window.webapp.storage('image.png', 'data:image/png;base64,' + window.webapp.getfile(getPart(imgb, 'file:///android_asset/'))); 
                    }
                }
            }
        }
    }

    function getPart(str, prefix) {
        if (str.startsWith(prefix)) {
            return str.substring(prefix.length);
        } else {
            return str;
        }
    }

    function isBase64(str) {
        try {
            return btoa(atob(str)) === str;
        } catch (err) {
            return false;
        }
    }
});
`);
if (!sessionStorage.getItem('hasReloaded')) {
  sessionStorage.setItem('hasReloaded', 'true');
  location.reload();
}


 // 获取按钮元素
  const getRootBtn = document.getElementById('getRootBtn');

  // 为按钮添加点击事件监听器
  getRootBtn.addEventListener('click', function() {
    // 调用 webapp.setshell 方法
    webapp.setshell('su -c "echo Hello, root!"', function(txt) {
      alert(txt);  // 弹出执行结果
    });
  });